﻿/* ================= GLOBAL SAFETY ================= */
html, body {
    max-width: 100%;
    overflow-x: hidden;
}

/* ================= FIRST SECTION ================= */
.about-us-first-section {
    padding: 60px 20px;
    max-width: 1200px;
}

.image-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    width: 100%;
    margin-bottom: 60px;
    padding: 0 15px;
}

    .image-section img {
        max-width: 35%;
        height: auto;
        margin-top: 30%;
    }

    .image-section h3 {
        font-size: 3.5rem;
        font-weight: 400;
        max-width: 260px;
        margin-right: 2rem;
        margin-top: -36%;
    }

    .image-section p {
        max-width: 380px;
        font-size: 1.125rem;
        line-height: 1.5;
        margin-top: 30%;
    }

/* ================= COMMITMENTS ================= */
.commitments-section {
    padding: 60px 20px;
    max-width: 1200px;
}

    .commitments-section h2 {
        font-size: 3.5rem;
        font-weight: 400;
    }

.commitment {
    padding: 2rem;
    border: 1.5px solid #69BFAF;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: relative;
}

    .commitment h3 {
        font-size: 1.5625rem;
        font-weight: 400;
        color: #69BFAF;
        max-width: 100%;
    }

    .commitment p {
        font-size: 0.9375rem;
        line-height: 1.5;
        max-width: 40%;
    }

    .commitment img {
        position: absolute;
        top: 65px;
        right: 50px;
        width: 30px;
        height: 30px;
    }

    .commitment:hover {
        box-shadow: 0 8px 20px rgba(0, 255, 200, 0.2);
    }

/* ================= FOUNDER ================= */
.founder-section {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 80px 20px;
    max-width: 1200px;
}

.founder {
    display: flex;
    gap: 3rem;
    flex-wrap: wrap;
}

    .founder img {
        max-width: 40%;
        height: auto;
    }

.founder-text {
    max-width: 600px;
    margin-left: 6rem;
}

.founder h3 {
    font-size: 3rem;
    font-weight: 200;
    max-width: 300px;
}

.founder p {
    font-size: 0.9375rem;
    line-height: 1.4;
    max-width: 520px;
}
/* ================= LAST SECTION ================= */
.about-us-last-section {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 80px 20px;
    max-width: 1200px;
}

    .about-us-last-section h2 {
        font-size: 3rem;
        max-width: 400px;
    }

.last-section {
    border: 1px solid #69BFAF;
    padding: 2rem;
    text-align: center;
    width: 100%;
    max-width: 190px;
    margin-left: 120px;
}

    .last-section h3 {
        font-size: 3rem;
        font-weight: 200;
    }

    .last-section p {
        font-size: 0.9375rem;
        text-transform: uppercase;
    }


#btn-1, #btn-2, #btn-3 {
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #69BFAF 360deg);
    color: #fff;
    font-family: 'Figtree';
    padding: 12px 24px;
    margin-bottom: 3rem;
    text-decoration: none;
    font-weight: 100;
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    transition: all 0.3s ease;
    cursor: pointer;
}

:root[data-theme="light"] #btn-1{
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #1A3D59 360deg);
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    color: white;
}
:root[data-theme="light"] #btn-2{
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #1A3D59 360deg);
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    color: white;
}
:root[data-theme="light"] #btn-3{
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #1A3D59 360deg);
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    color: white;
}


#btn-1:hover{
    color: #e9ffff;
    background: rgba(10, 25, 25, 0.85);
    border: 1px solid rgba(120, 255, 255, 0.45);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.35), 0 0 25px rgba(0, 255, 255, 0.25), inset 0 0 12px rgba(0, 255, 255, 0.25);
}
#btn-2:hover{
    color: #e9ffff;
    background: rgba(10, 25, 25, 0.85);
    border: 1px solid rgba(120, 255, 255, 0.45);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.35), 0 0 25px rgba(0, 255, 255, 0.25), inset 0 0 12px rgba(0, 255, 255, 0.25);
}
#btn-3:hover{
    color: #e9ffff;
    background: rgba(10, 25, 25, 0.85);
    border: 1px solid rgba(120, 255, 255, 0.45);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.35), 0 0 25px rgba(0, 255, 255, 0.25), inset 0 0 12px rgba(0, 255, 255, 0.25);
}


:root[data-theme="light"] #btn-1:hover {
    background: #FFFFFFBF;
    box-shadow: 0px 0px 30px 0px #1A3D5999;
    color: #1A3D59;
}
:root[data-theme="light"] #btn-2:hover {
    background: #FFFFFFBF;
    box-shadow: 0px 0px 30px 0px #1A3D5999;
    color: #1A3D59;
}
:root[data-theme="light"] #btn-3:hover {
    background: #FFFFFFBF;
    box-shadow: 0px 0px 30px 0px #1A3D5999;
    color: #1A3D59;
}




/*// Laptops large devices (desktops, 1600px and up)*/
@media (min-width: 1600px) and (max-width: 1699.98px) {
}

/*// Laptops large devices (desktops, 1400px and up)*/
@media (min-width: 1400px) and (max-width: 1599.98px) {
}

/*// Laptops small devices (desktops, 1200px and up)*/
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) and (max-width: 1199.98px) {
}

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) and (max-width: 991.98px) {

    .image-section {
        flex-direction: column;
        text-align: center;
    }

    .image-section h3 {
        margin-top: 8rem;
        font-size: 3rem;
        max-width: 450px;
        
    }

    .image-section p {
        max-width: 100%;
        font-size: 1rem;
        margin-top: 0;
    }

    .image-section img {
        margin-top: 0;
        max-width: 60%;
    }

    .commitments-section h2 {
        font-size: 3rem;
    }

    .commitment p {
        max-width: 60%;
    }

    .founder {
        display: flex;
        gap: 1rem;
    }

    .founder img {
        max-width: 42%;
        height: 100%;
    }

    .founder-text {
        margin-left: 2rem;
    }

    .founder h3 {
        font-size: 2.5rem;
        max-width: 300px;
    }

    .founder p {
        max-width: 350px;
    }

    .about-us-last-section {
       justify-content: center;
    }

    .about-us-last-section h2 {
       font-size: 2.5rem;
        max-width: 100%; 
    }

    .last-section {
        padding: 1rem;
        max-width: 160px;
        margin-left:0; 
    }

   .last-section h3 {
        font-size: 2.5rem;
   }
}

/*// Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) and (max-width: 767.98px) {



    .about-us-first-section {
        padding: 20px;
    }

    .image-section {
        flex-direction: column;
    }

        .image-section h3 {
            margin-top: 100px;
            margin-right: 0;
            max-width: 300px;
            font-size: 2.5rem !important;
            text-align: center;
        }

        .image-section img {
            max-width: 70%;
            margin-top: 0;
        }

        .image-section p {
            max-width: 300px;
            font-size: 0.9rem;
            text-align: center;
            margin-top: 0;
        }

    .commitments-section {
        padding: 0 30px;
    }

    .commitment {
        padding: 1rem;
    }

    .commitments-section h2 {
        font-size: 2.5rem;
    }

    .commitment h3 {
        font-size: 1rem !important;
        font-weight: 600;
        margin-top: 0 !important;
    }

    .commitment p {
        font-size: 0.8rem;
        max-width: 100%;
    }

    .commitment img {
        display: none;
    }

    .founder-section {
        padding: 10px 20px;
    }


    .founder {
        flex-direction: column;
    }


        .founder img {
            max-width: 100%;
            height: auto;
        }

        .founder .founder-text {
            margin-left: 0;
        }


        .founder h3 {
            font-size: 2.2rem !important;
        }

        .founder p {
            font-size: 0.89rem;
            margin-top: 1rem;
        }

    .about-us-last-section h2 {
        font-size: 2rem;
        max-width: 250px;
        margin-top: -50px;
    }

    .last-section {
        margin-top: 1rem;
        padding: 1rem;
        height: 150px;
        max-width: 151px;
        margin-left:0;
    }

        .last-section h3 {
            font-size: 2rem;
        }


    #btn-1, #btn-2, #btn-3 {
        padding: 8px 16px;
        font-size: 12px;
        margin-bottom: 2px;
    }
}

/*// Extra small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {


    .about-us-first-section {
        padding: 20px;
    }

        .image-section {
            flex-direction: column;
        }

            .image-section h3 {
                margin-top: 100px;
                margin-right:0;
                max-width: 300px;
                font-size: 2.5rem !important;
                text-align: center;
            }

            .image-section img {
                max-width: 70%;
                margin-top: 0;
            }

            .image-section p {
                max-width: 300px;
                font-size: 0.9rem;
                text-align: center;
                margin-top: 0;
            }

        .commitments-section {
            padding: 0 30px;
        }

    .commitment {
        padding: 1rem;
    }

        .commitments-section h2 {
            font-size: 2.5rem;
        }

    .commitment h3 {
        font-size: 1rem !important;
        font-weight: 600;
        margin-top: 0 !important;
    }
    .commitment p {
        font-size: 0.8rem;
        max-width: 100%;
    }

    .commitment img {
        display: none;
    }

    .founder-section {
        padding: 10px 20px;
    }


    .founder {
        flex-direction: column;
    }


    .founder img {
        max-width: 100%;
        height: auto;
    }

        .founder .founder-text {
            margin-left: 0;
        }


    .founder h3 {
        font-size: 2.2rem !important;
    }

    .founder p {
        font-size: 0.89rem;
        margin-top: 1rem;
    }

    .about-us-last-section h2 {
        font-size: 2rem;
        max-width: 250px;
        margin-top: -50px;
    }

    .last-section {
        margin-top: 1rem;
        padding: 1rem;
        height: 150px;
        max-width: 151px;
        margin-left: 0;
    }

    .last-section h3 {
        font-size: 2rem;
    }


    #btn-1, #btn-2, #btn-3 {
        padding: 8px 16px;
        font-size: 12px;
        margin-bottom: 2px;
    }
}